## kuvert 1.0.12

=== Makefile ===
# well, a simpler makefile is hardly imaginable...
DESTDIR=

# the version number of the package
VERSION=$(shell sed -n '1s/^.*(\(.*\)).*$$/\1/p' debian/changelog)

test:
	echo $(VERSION)

all: kuvert_mta_wrapper

clean:
	-rm kuvert_mta_wrapper kuvert.tmp

install:	kuvert_mta_wrapper kuvert
	install -d $(DESTDIR)/usr/bin $(DESTDIR)/usr/share/man/man1
	install -s kuvert_mta_wrapper $(DESTDIR)/usr/bin
# fix the version number
	sed 's/INSERT_VERSION/$(VERSION)/' kuvert > kuvert.tmp
	install kuvert.tmp $(DESTDIR)/usr/bin/kuvert
	-rm kuvert.tmp
	install kuvert.man $(DESTDIR)/usr/share/man/man1/kuvert.1
	install kuvert_mta_wrapper.man $(DESTDIR)/usr/share/man/man1/kuvert_mta_wrapper.1

=== debian/changelog ===
kuvert (1.0.12) unstable; urgency=high

  * finally fixed typo trashing the handling of the 'fallback' action

 -- Alexander Zangerl <az@debian.org>  Sun, 28 Apr 2002 01:50:15 +1000

kuvert (1.0.11) unstable; urgency=high

  * fixed typo that trashed handling of -force

 -- Alexander Zangerl <az@debian.org>  Fri, 26 Apr 2002 12:11:54 +1000

kuvert (1.0.10) unstable; urgency=medium

  * manpage improvements
  * -force handling fixed (did not work as DEFAULT action)
  * -force semantics finetuned: action=none is not overrideable by -force
  or the override header

 -- Alexander Zangerl <az@debian.org>  Fri, 26 Apr 2002 00:43:03 +1000

kuvert (1.0.9) unstable; urgency=low

  * moved into main/mail as per recent announcement

 -- Alexander Zangerl <az@debian.org>  Sun, 24 Mar 2002 17:20:40 +1000

kuvert (1.0.8) unstable; urgency=low

  * changed mail addressing in send_bounce: no angle brackets.
  note: this does not fulfil rfc2822, 3.4.1, but as this is local mail it does
  not really concern me.  (closes: Bug#136619)

 -- Alexander Zangerl <az@debian.org>  Tue,  5 Mar 2002 23:19:00 +1000

kuvert (1.0.7) unstable; urgency=low

  * fixed dependency mailtools -> libmailtools-perl
  * fixed version-number generation

 -- Alexander Zangerl <az@debian.org>  Sat, 16 Feb 2002 21:06:52 +1000

kuvert (1.0.6) unstable; urgency=low

  * gpg-idea has been removed due to patent problems (#126506),
    removing suggestion

 -- Alexander Zangerl <az@debian.org>  Thu, 31 Jan 2002 20:46:13 +1000

kuvert (1.0.5) unstable; urgency=low

  * added config of queue check interval
  * added -v version command, added version logging at start

 -- Alexander Zangerl <az@debian.org>  Thu, 31 Jan 2002 00:24:56 +1000

kuvert (1.0.4) unstable; urgency=low

  * fixed bug: handling of no-std-pgp works now

 -- Alexander Zangerl <az@snafu.priv.at>  Sun, 27 Jan 2002 22:32:42 +1000

kuvert (1.0.3) unstable; urgency=low

  * added nofork option (-n)
  * fixed behaviour in debugging mode
  * improved manpage
  * improved handling of expired, revoked, invalid keys
  * added -force actions

 -- Alexander Zangerl <az@snafu.priv.at>  Wed,  2 Jan 2002 16:43:30 +1000

kuvert (1.0.2) unstable; urgency=low

  * fixed tempdir and queuedir generation for default dirs
  * fixed handling of setups with pgp XOR gpg
  * changed sendmail error mode to -oem (mailback, but with return code)
  * some manpage clarifications
  * fixed reporting for garbled mails
  * added logging to file

 -- Alexander Zangerl <az@snafu.priv.at>  Sun, 11 Nov 2001 19:24:05 +1000

kuvert (1.0.1) unstable; urgency=low

  * fixed problems with missing .kuvert config file.
  * added more options for sendmail to be recognized (-oi,-od*,-oe*)

 -- Alexander Zangerl <az@snafu.priv.at>  Tue,  6 Nov 2001 23:23:39 +1000

kuvert (1.0.0) unstable; urgency=low

  * Initial Release.
  * Renamed from 'guard' to 'kuvert', debianized.

 -- Alexander Zangerl <az@snafu.priv.at>  Sun, 21 Oct 2001 23:21:16 +1000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: kuvert
Section: mail
Priority: extra
Maintainer: Alexander Zangerl <az@debian.org>
Build-Depends: debhelper
Standards-Version: 3.5.6.0

Package: kuvert
Architecture: any
Depends: ${shlibs:Depends}, gnupg (>= 1.0.6) | pgp, sendmail | mail-transport-agent, ${perl:Depends}, libmailtools-perl, libmime-perl
Suggests: quintuple-agent
Description: A wrapper that encrypts or signs outgoing mail.
 kuvert automatically signs and/or encrypts outgoing mail using
 the PGP/MIME standard (rfc2015), based on the availability
 of the recipient's key in your keyring. Other than similar wrappers,
 kuvert does not store the passphrases on disk but keeps them just
 in memory; if available, kuvert prefers to store the key passphrases with 
 quintuple-agent. kuvert works as a wrapper around your MTA.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=`pwd`/debian/tmp


# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmanpages
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## kuvert 1.1.8

=== debian/changelog ===
kuvert (1.1.8) unstable; urgency=low

  * lifted standards version
  * added homepage to description

 -- Alexander Zangerl <az@debian.org>  Thu, 11 Dec 2003 12:52:40 +1000

kuvert (1.1.7) unstable; urgency=low

  * added example ~/.kuvert
  * kuvert now produces a blank ~/.kuvert if none is found on startup

 -- Alexander Zangerl <az@debian.org>  Sun,  3 Aug 2003 11:53:19 +1000

kuvert (1.1.6) unstable; urgency=high

  * fixed bad problem with mixture of raw and signed/encr'd mails:
  the raw mail would lose most of its headers due to an overzealous
  "code improvement". problem was only present with multi-recipient mails.

 -- Alexander Zangerl <az@debian.org>  Wed, 11 Jun 2003 19:45:51 +1000

kuvert (1.1.5) unstable; urgency=low

  * fixed variable length macro (problem only with gcc 3.3) (closes: #194944)
  * bumped standards version

 -- Alexander Zangerl <az@debian.org>  Wed, 28 May 2003 20:12:44 +1000

kuvert (1.1.4) unstable; urgency=low

  * bumped standards version, now only suggests old-style pgp
  * fixed error behaviour (sent multiple error messages with -b)

 -- Alexander Zangerl <az@debian.org>  Fri, 25 Apr 2003 17:34:18 +1000

kuvert (1.1.3) unstable; urgency=low

  * standards version lifted, debhelper cleanup

 -- Alexander Zangerl <az@debian.org>  Sun,  9 Mar 2003 11:23:30 +1000

kuvert (1.1.2) unstable; urgency=low

  * added IDENTIFY directive: adds an X-Mailer header (closes: Bug#181868)

 -- Alexander Zangerl <az@debian.org>  Sat, 22 Feb 2003 14:58:52 +1000

kuvert (1.1.1) unstable; urgency=low

  * fixed problem with duplicate entries in pidfile on unclean shutdown.
  * pidfile honors $TMPDIR now.
  * added option "-b": sends barfmail when fatal error encountered (closes: Bug179345)

 -- Alexander Zangerl <az@debian.org>  Sun, 16 Feb 2003 23:44:15 +1000

kuvert (1.1.0) unstable; urgency=low

  * complete overhaul of the code, streamlined, better error handling
  * added new dependency on libterm-readkey-perl
  * fixed handling of idea-extension (closes: Bug#162279)
  * added Bcc handling (closes: Bug#162024) 
  * removed /usr/doc transition stuff
  * fallback option now falls back down to std key if no ng private key av.

 -- Alexander Zangerl <az@debian.org>  Tue, 21 Jan 2003 22:33:16 +1000

kuvert (1.0.13) unstable; urgency=low

  * default tempdir now honors $TMPDIR (closes: Bug#161326)
  * does not start anymore without config file (closes: Bug#161327)
  * some new sanity checks and clarifications in the manpages and README
  * added option MTA
  * SECRETONDEMAND option extended and clarified

 -- Alexander Zangerl <az@debian.org>  Thu, 19 Sep 2002 18:04:18 +0200

=== debian/control ===
Source: kuvert
Section: mail
Priority: extra
Maintainer: Alexander Zangerl <az@debian.org>
Build-Depends: debhelper (>= 4.0.2)
Standards-Version: 3.6.1

Package: kuvert
Architecture: any
Depends: ${shlibs:Depends}, gnupg (>= 1.0.6) | pgp, sendmail | mail-transport-agent, ${perl:Depends}, libmailtools-perl, libmime-perl (>= 5.212), libterm-readkey-perl
Suggests: quintuple-agent, pgp
Recommends: gnupg (>= 1.0.6)
Description: A wrapper that encrypts or signs outgoing mail
 kuvert automatically signs and/or encrypts outgoing mail using
 the PGP/MIME standard (rfc3156), based on the availability
 of the recipient's key in your keyring. Other than similar wrappers,
 kuvert does not store the passphrases on disk but keeps them just
 in memory; if available, kuvert prefers to store the key passphrases with 
 quintuple-agent. kuvert works as a wrapper around your MTA. 
 .
 Homepage: http://www.snafu.priv.at/kuvert.html

## kuvert 1.1.9

=== debian/changelog ===
kuvert (1.1.9) unstable; urgency=high

  * the "don't trust input. do be conservative and paranoid." release.
  fixed a potential security problem re email addresses that are
  borderline rfc2822-compliant by calling the mta without shell interference.
  * updated homepage url

 -- Alexander Zangerl <az@debian.org>  Sat, 26 Feb 2005 08:11:26 +1000

=== debian/control ===
--- 
+++ 
@@ -18,4 +18,4 @@
  in memory; if available, kuvert prefers to store the key passphrases with 
  quintuple-agent. kuvert works as a wrapper around your MTA. 
  .
- Homepage: http://www.snafu.priv.at/kuvert.html
+ Homepage: http://www.snafu.priv.at/mystuff/kuvert/

## kuvert 1.1.10

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,6 @@
 
 # the version number of the package
 VERSION=$(shell sed -n '1s/^.*(\(.*\)).*$$/\1/p' debian/changelog)
-
-test:
-	echo $(VERSION)
 
 all: kuvert_mta_wrapper
 
@@ -22,8 +19,5 @@
 	install kuvert.man $(DESTDIR)/usr/share/man/man1/kuvert.1
 	install kuvert_mta_wrapper.man $(DESTDIR)/usr/share/man/man1/kuvert_mta_wrapper.1
 
-
-
-
-
-
+test:
+	echo $(VERSION)

=== debian/changelog ===
kuvert (1.1.10) unstable; urgency=low

  * added libproc-pid-file-perl dependency
  * deprecated AGENTPATH/CLIENTPATH configuration setting
    and cleaned up secret on demand stuff
  * lifted standards version
  
 -- Alexander Zangerl <az@debian.org>  Fri,  4 Nov 2005 16:20:20 +1000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: extra
 Maintainer: Alexander Zangerl <az@debian.org>
 Build-Depends: debhelper (>= 4.0.2)
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2
 
 Package: kuvert
 Architecture: any
-Depends: ${shlibs:Depends}, gnupg (>= 1.0.6) | pgp, sendmail | mail-transport-agent, ${perl:Depends}, libmailtools-perl, libmime-perl (>= 5.212), libterm-readkey-perl
+Depends: ${shlibs:Depends}, gnupg (>= 1.0.6) | pgp, sendmail | mail-transport-agent, ${perl:Depends}, libmailtools-perl, libmime-perl (>= 5.212), libterm-readkey-perl, libproc-pid-file-perl
 Suggests: quintuple-agent, pgp
 Recommends: gnupg (>= 1.0.6)
 Description: A wrapper that encrypts or signs outgoing mail

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,8 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=1
+export DH_COMPAT=3
+export DESTDIR=$(CURDIR)/debian/kuvert
 
 build: build-stamp
 build-stamp:
@@ -31,7 +32,7 @@
 	dh_clean -k
 	dh_installdirs
 
-	$(MAKE) install DESTDIR=`pwd`/debian/tmp
+	$(MAKE) install DESTDIR=$(DESTDIR)
 
 
 # Build architecture-independent files here.
@@ -41,10 +42,9 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installdocs
-	dh_installmanpages
+	dh_installdocs -n
+	dh_installexamples
 	dh_installchangelogs 
-	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms

## kuvert 1.1.11

=== debian/changelog ===
kuvert (1.1.11) unstable; urgency=low

  * lifted standards version

 -- Alexander Zangerl <az@debian.org>  Tue, 10 Apr 2007 18:24:40 +1000

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# This is the debhelper compatability version to use.
-export DH_COMPAT=3
 export DESTDIR=$(CURDIR)/debian/kuvert
 
 build: build-stamp

## kuvert 1.1.14

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 install:	kuvert_mta_wrapper kuvert
 	install -d $(DESTDIR)/usr/bin $(DESTDIR)/usr/share/man/man1
-	install -s kuvert_mta_wrapper $(DESTDIR)/usr/bin
+	install kuvert_mta_wrapper $(DESTDIR)/usr/bin
 # fix the version number
 	sed 's/INSERT_VERSION/$(VERSION)/' kuvert > kuvert.tmp
 	install kuvert.tmp $(DESTDIR)/usr/bin/kuvert

=== debian/changelog ===
kuvert (1.1.14) unstable; urgency=low

  * don't strip kuvert_mta_wrapper if DEB_BUILD_OPTIONS asks for that 
    (closes: #437288)

 -- Alexander Zangerl <az@debian.org>  Sun, 12 Aug 2007 13:24:20 +1000

kuvert (1.1.13) unstable; urgency=high

  * fixed stupid mistake wrt. variable init in kuvert_mta_wrapper
    which caused the wrapper to fall back to sendmail most of the time.

 -- Alexander Zangerl <az@debian.org>  Sat, 23 Jun 2007 13:16:42 +1000

kuvert (1.1.12) unstable; urgency=low

  * the signature MIME-part is now tagged a bit more extensively
    (as per hint from Andreas Labres/Andreas Kreuzinger)

 -- Alexander Zangerl <az@debian.org>  Sat, 23 Jun 2007 12:39:05 +1000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Alexander Zangerl <az@debian.org>
 Build-Depends: debhelper (>= 4.0.2)
-Standards-Version: 3.6.2
+Standards-Version: 3.7.2
 
 Package: kuvert
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,18 @@
 
 export DESTDIR=$(CURDIR)/debian/kuvert
 
+CFLAGS= -g
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+CFLAGS += -O0
+else
+CFLAGS += -O2
+endif
+
 build: build-stamp
 build-stamp:
 	dh_testdir
 
-	$(MAKE)
+	$(MAKE) CFLAGS="$(CFLAGS)"
 
 	touch build-stamp

## kuvert 2.0.0

=== debian/changelog ===
kuvert (2.0.0) unstable; urgency=low

  * the next generation of kuvert: better SMTP support, no more pgp2,
    more precise control over keys, gpg agent support etc.
  * updated dependencies
  * updated standards version

 -- Alexander Zangerl <az@debian.org>  Sun, 29 Jun 2008 21:25:51 +1000

## kuvert 2.0.1

=== debian/changelog ===
kuvert (2.0.1) unstable; urgency=low

  * fixed generation of default queue/tempdirs

 -- Alexander Zangerl <az@debian.org>  Sun, 31 Aug 2008 16:39:52 +1000

## kuvert 2.0.2

=== debian/changelog ===
kuvert (2.0.2) unstable; urgency=low

  * modified kuvert_submit to honour the -bv option by running
    sendmail directly instead of enqueueing an email.

 -- Alexander Zangerl <az@debian.org>  Mon, 16 Mar 2009 17:01:24 +1000

=== debian/control ===
Source: kuvert
Section: mail
Priority: extra
Maintainer: Alexander Zangerl <az@debian.org>
Build-Depends: debhelper (>= 4.0.2)
Standards-Version: 3.8.0

Package: kuvert
Architecture: any
Depends: ${shlibs:Depends}, gnupg (>= 1.0.6), sendmail | mail-transport-agent, ${perl:Depends}, libmailtools-perl, libmime-tools-perl | libmime-perl (>= 5.212), libfile-slurp-perl, libnet-server-mail-perl
Suggests: keyutils
Homepage: http://www.snafu.priv.at/mystuff/kuvert/
Description: A wrapper that encrypts or signs outgoing mail
 kuvert automatically signs and/or encrypts outgoing mail using
 the PGP/MIME standard (RFC3156), based on the availability
 of the recipient's key in your keyring. Other than similar wrappers,
 kuvert does not store key passphrases itself, ever.
 kuvert works as a wrapper around your MTA but can be 
 fed mails via SMTP, too.
 .

## kuvert 2.0.3

=== debian/changelog ===
kuvert (2.0.3) unstable; urgency=low

  * fixed silly case-sensitivity bug: keys were downcased, but not email 
    addresses, which may have caused kuvert to fall back to signing 
    instead of encrypting. 
  * lifted standards version

 -- Alexander Zangerl <az@debian.org>  Tue, 20 Oct 2009 16:45:33 +1000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Alexander Zangerl <az@debian.org>
 Build-Depends: debhelper (>= 4.0.2)
-Standards-Version: 3.8.0
+Standards-Version: 3.8.3
 
 Package: kuvert
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	dh_testroot
 	rm -f build-stamp
 
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean

## kuvert 2.0.4

=== debian/changelog ===
kuvert (2.0.4) unstable; urgency=low

  * lifted standards version
  * added support for optional smtp authentication (for outbound mail)
    this requires authen::sasl which was added to the dependencies.

 -- Alexander Zangerl <az@debian.org>  Thu, 16 Sep 2010 15:14:10 +1000

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: extra
 Maintainer: Alexander Zangerl <az@debian.org>
 Build-Depends: debhelper (>= 4.0.2)
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 
 Package: kuvert
 Architecture: any
-Depends: ${shlibs:Depends}, gnupg (>= 1.0.6), sendmail | mail-transport-agent, ${perl:Depends}, libmailtools-perl, libmime-tools-perl | libmime-perl (>= 5.212), libfile-slurp-perl, libnet-server-mail-perl
-Suggests: keyutils
+Depends: ${shlibs:Depends}, ${misc:Depends}, gnupg (>= 1.0.6), sendmail | mail-transport-agent, ${perl:Depends}, libmailtools-perl, libmime-tools-perl | libmime-perl (>= 5.212), libfile-slurp-perl, libnet-server-mail-perl, libauthen-sasl-perl
+Suggests: keyutils 
 Homepage: http://www.snafu.priv.at/mystuff/kuvert/
 Description: A wrapper that encrypts or signs outgoing mail
  kuvert automatically signs and/or encrypts outgoing mail using

## kuvert 2.0.5

=== debian/changelog ===
kuvert (2.0.5) unstable; urgency=low

  * added option to control whether the explanatory mime
    preamble is generated or not.

 -- Alexander Zangerl <az@debian.org>  Tue, 21 Feb 2012 11:44:03 +1000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: mail
 Priority: extra
 Maintainer: Alexander Zangerl <az@debian.org>
-Build-Depends: debhelper (>= 4.0.2)
+Build-Depends: debhelper (>= 5)
 Standards-Version: 3.9.1
 
 Package: kuvert

## kuvert 2.0.6

=== Makefile ===
# well, a simpler makefile is hardly imaginable...
DESTDIR=

# the version number of the package
VERSION=$(shell sed -n '1s/^.*(\(.*\)).*$$/\1/p' debian/changelog)

all: kuvert_submit

clean:
	-rm -f kuvert_submit kuvert.tmp

install:	kuvert_submit  kuvert
	install -d $(DESTDIR)/usr/bin $(DESTDIR)/usr/share/man/man1 \
	$(DESTDIR)/usr/share/perl5/Net/Server/Mail/ESMTP/
	install kuvert_submit $(DESTDIR)/usr/bin
# fix the version number
	sed 's/INSERT_VERSION/$(VERSION)/' kuvert > kuvert.tmp
	install kuvert.tmp $(DESTDIR)/usr/bin/kuvert
	-rm kuvert.tmp
	install plainAUTH.pm $(DESTDIR)/usr/share/perl5/Net/Server/Mail/ESMTP/
	pod2man --center="User Commands" -r Mail  kuvert $(DESTDIR)/usr/share/man/man1/kuvert.1
	pod2man --center="User Commands" -r Mail kuvert_submit.pod $(DESTDIR)/usr/share/man/man1/kuvert_submit.1

test:
	echo $(VERSION)

=== debian/changelog ===
kuvert (2.0.6) unstable; urgency=low

  * updated standards version
  * cleaned up dependencies (closes: #665044)

 -- Alexander Zangerl <az@debian.org>  Thu, 22 Mar 2012 22:09:12 +1000

=== debian/control ===
Source: kuvert
Section: mail
Priority: extra
Maintainer: Alexander Zangerl <az@debian.org>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.3.1

Package: kuvert
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gnupg (>= 1.0.6), sendmail | mail-transport-agent, ${perl:Depends}, libmailtools-perl, libmime-tools-perl, libfile-slurp-perl, libnet-server-mail-perl, libauthen-sasl-perl
Suggests: keyutils 
Homepage: http://www.snafu.priv.at/mystuff/kuvert/
Description: wrapper that encrypts or signs outgoing mail
 kuvert automatically signs and/or encrypts outgoing mail using
 the PGP/MIME standard (RFC3156), based on the availability
 of the recipient's key in your keyring. Other than similar wrappers,
 kuvert does not store key passphrases itself, ever.
 kuvert works as a wrapper around your MTA but can be 
 fed mails via SMTP, too.
 .

## kuvert 2.0.7

=== debian/changelog ===
kuvert (2.0.7) unstable; urgency=low

  * added timeout for gpg invocations

 -- Alexander Zangerl <az@debian.org>  Tue, 04 Sep 2012 20:28:39 +1000

## kuvert 2.0.9

=== debian/changelog ===
kuvert (2.0.9) unstable; urgency=low

  * now supports STARTTLS for outbound SMTP submission
  * lifted standards version, adjusted dependencies accordingly
  

 -- Alexander Zangerl <az@debian.org>  Mon, 25 Nov 2013 20:44:19 +1000

kuvert (2.0.8) unstable; urgency=low

  * modified rules to support hardening build flags

 -- Alexander Zangerl <az@debian.org>  Tue, 24 Sep 2013 13:32:35 +1000

=== debian/control ===
Source: kuvert
Section: mail
Priority: extra
Maintainer: Alexander Zangerl <az@debian.org>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.5.0

Package: kuvert
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gnupg (>= 1.0.6), sendmail | mail-transport-agent | libnet-smtps-perl, ${perl:Depends}, libmailtools-perl, libmime-tools-perl, libfile-slurp-perl, libnet-server-mail-perl, libauthen-sasl-perl
Suggests: keyutils 
Homepage: http://www.snafu.priv.at/mystuff/kuvert/
Description: wrapper that encrypts or signs outgoing mail
 kuvert automatically signs and/or encrypts outgoing mail using
 the PGP/MIME standard (RFC3156), based on the availability
 of the recipient's key in your keyring. Other than similar wrappers,
 kuvert does not store key passphrases itself, ever.
 kuvert works as a wrapper around your MTA but can be 
 fed mails via SMTP, too.

## kuvert 2.0.11

=== debian/changelog ===
kuvert (2.0.11) unstable; urgency=low

  * fixed clash between my lazy logfile handling
    and perl 5.18's increased fastidiousness (closes: #736978)

 -- Alexander Zangerl <az@debian.org>  Wed, 29 Jan 2014 21:36:37 +1000

kuvert (2.0.10) unstable; urgency=medium

  * fixed one-character typo in control that marked dependency as
    optional (closes: #736774)
  
 -- Alexander Zangerl <az@debian.org>  Mon, 27 Jan 2014 11:44:35 +1000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: kuvert
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, gnupg (>= 1.0.6), sendmail | mail-transport-agent | libnet-smtps-perl, ${perl:Depends}, libmailtools-perl, libmime-tools-perl, libfile-slurp-perl, libnet-server-mail-perl, libauthen-sasl-perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, gnupg (>= 1.0.6), sendmail | mail-transport-agent, libnet-smtps-perl, ${perl:Depends}, libmailtools-perl, libmime-tools-perl, libfile-slurp-perl, libnet-server-mail-perl, libauthen-sasl-perl
 Suggests: keyutils 
 Homepage: http://www.snafu.priv.at/mystuff/kuvert/
 Description: wrapper that encrypts or signs outgoing mail

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,12 @@
 CFLAGS += -O2
 endif
 
-build: build-stamp
+build: build-arch build-indep
+
+build-arch: build-stamp
+
+build-indep: build-stamp
+
 build-stamp:
 	dh_testdir
 
@@ -26,15 +31,13 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
-
 	$(MAKE) clean
-
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	$(MAKE) install DESTDIR=$(DESTDIR)
@@ -62,4 +65,4 @@
 
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+.PHONY: build clean binary-indep binary-arch binary install build-arch build-indep

## kuvert 2.0.12

=== debian/changelog ===
kuvert (2.0.12) unstable; urgency=low

  * fixed hardcoded micalg mime header component (closes: #754820)
  * added small cosmetic header improvements (closes: #754821)
  * reworded manual entry for can-detach for better clarity (closes: #754823)
  * updated build script for better policy compliance
 
 -- Alexander Zangerl <az@debian.org>  Tue, 15 Jul 2014 20:22:34 +1000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: mail
 Priority: extra
 Maintainer: Alexander Zangerl <az@debian.org>
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.5.0
 
 Package: kuvert

## kuvert 2.0.13

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,11 @@
 
 # the version number of the package
 VERSION=$(shell sed -n '1s/^.*(\(.*\)).*$$/\1/p' debian/changelog)
+
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 all: kuvert_submit

=== debian/changelog ===
kuvert (2.0.13) unstable; urgency=low

  * kuvert now backs off for up to 8 seconds when re-requesting an
	  invalid password from an external program
  * lifted standards version

 -- Alexander Zangerl <az@debian.org>  Sat, 23 Jan 2016 17:35:52 +1000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Alexander Zangerl <az@debian.org>
 Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5.0
+Standards-Version: 3.9.6
 
 Package: kuvert
 Architecture: any

## kuvert 2.1.1

=== debian/changelog ===
kuvert (2.1.1) unstable; urgency=high

  * fix encoding issues for log output (closes: #859903)
  * updated dependencies, now need encode::locale

 -- Alexander Zangerl <az@debian.org>  Mon, 10 Apr 2017 21:11:52 +1000

kuvert (2.1.0) unstable; urgency=low

  * new action 'mustencrypt'
  * various bug fixes and robustness improvements
  * updated dependencies

 -- Alexander Zangerl <az@debian.org>  Sat, 01 Apr 2017 21:01:58 +1000

kuvert (2.0.14) unstable; urgency=low

  * use full 16 digit key id when interacting with external passhrase cache
  * lifted standards version

 -- Alexander Zangerl <az@debian.org>  Fri, 24 Mar 2017 19:27:41 +1000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: extra
 Maintainer: Alexander Zangerl <az@debian.org>
 Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 
 Package: kuvert
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, gnupg (>= 1.0.6), sendmail | mail-transport-agent, libnet-smtps-perl, ${perl:Depends}, libmailtools-perl, libmime-tools-perl, libfile-slurp-perl, libnet-server-mail-perl, libauthen-sasl-perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, gnupg (>= 1.0.6), sendmail | mail-transport-agent, libnet-smtps-perl, ${perl:Depends}, libmailtools-perl, libmime-tools-perl, libfile-slurp-perl, libnet-server-mail-perl, libauthen-sasl-perl, libproc-processtable-perl, libencode-locale-perl
 Suggests: keyutils 
 Homepage: http://www.snafu.priv.at/mystuff/kuvert/
 Description: wrapper that encrypts or signs outgoing mail

## kuvert 2.2.2

=== debian/changelog ===
kuvert (2.2.2) unstable; urgency=medium

  * kill/reload code now runs earlier, which makes
    -k/-r work without (explicit or default) config file
  * lifted standards version, fixed priority optional

 -- Alexander Zangerl <az@debian.org>  Sat, 28 Oct 2017 11:39:51 +1000

kuvert (2.2.1) unstable; urgency=medium

  * new runtime option -c for different config file
  * switched to net::smtp (from perlcore), away from net::smtps.
  * updated dependencies, we need stretch's perl or newer
	  because jessie's came with a much too ancient net::smtp.
  * lifted debhelper compat version
	
 -- Alexander Zangerl <az@debian.org>  Thu, 28 Sep 2017 20:02:27 +1000

kuvert (2.2.0) unstable; urgency=low

  * new config option to make kuvert use your preferred gpg
    binary (e.g. /usr/bin/gpg1)
  * updated copyright (updated year, FSF address)

 -- Alexander Zangerl <az@debian.org>  Tue, 19 Sep 2017 21:42:00 +1000

=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,8 @@
 
 export DESTDIR=$(CURDIR)/debian/kuvert
 
-CFLAGS= -g
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-CFLAGS += -O0
-else
-CFLAGS += -O2
-endif
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 build: build-arch build-indep
 
@@ -23,7 +19,7 @@
 build-stamp:
 	dh_testdir
 
-	$(MAKE) CFLAGS="$(CFLAGS)"
+	$(MAKE)
 
 	touch build-stamp

## kuvert 2.2.3

=== debian/changelog ===
kuvert (2.2.3) unstable; urgency=medium

  * support cross-compilation (closes: #991784)
  * minor packaging updates

 -- Alexander Zangerl <az@debian.org>  Thu, 05 Aug 2021 18:25:15 +1000

## kuvert 2.2.5

=== debian/changelog ===
kuvert (2.2.5) unstable; urgency=medium

  * correct sendmail -f argument (closes: #1005751)
  * adjusted pod/manpage text to clarify minimum config needs

 -- Alexander Zangerl <az@debian.org>  Wed, 16 Feb 2022 20:09:55 +1000

kuvert (2.2.4) unstable; urgency=medium

  * better tempdir handling

 -- Alexander Zangerl <az@debian.org>  Fri, 27 Aug 2021 10:47:05 +1000

=== debian/control ===
Source: kuvert
Section: mail
Priority: optional
Maintainer: Alexander Zangerl <az@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
Standards-Version: 4.1.3.0

Package: kuvert
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gnupg | gnupg1, sendmail | mail-transport-agent, libnet-smtps-perl, perl (>= 5.24), libmailtools-perl, libmime-tools-perl, libfile-slurp-perl, libnet-server-mail-perl, libauthen-sasl-perl, libproc-processtable-perl, libencode-locale-perl, libio-socket-ssl-perl
Suggests: keyutils 
Homepage: http://www.snafu.priv.at/mystuff/kuvert/
Description: wrapper that encrypts or signs outgoing mail
 kuvert automatically signs and/or encrypts outgoing mail using
 the PGP/MIME standard (RFC3156), based on the availability
 of the recipient's key in your keyring. Other than similar wrappers,
 kuvert does not store key passphrases itself, ever.
 kuvert works as a wrapper around your MTA but can be 
 fed mails via SMTP, too.

## kuvert 2.2.6

=== Makefile ===
# well, a simpler makefile is hardly imaginable...

# if destdir is set, debian package making is assumed
# so we install relative to that and don't touch /usr/local
#
# if destdir is unset, we install into /usr/local: bin and the perl sitelib dir
DESTDIR=

ifneq "$(DESTDIR)" ""
# the debian case
PERLDIR:=$(DESTDIR)$(shell perl -MConfig -e 'print $$Config{vendorlib}')
VERSION:=$(shell sed -n '1s/^.*(\(.*\)).*$$/\1/p' debian/changelog)
PREFIX:=$(DESTDIR)/usr
else
# the non-debian case
PERLDIR:=$(shell perl -MConfig -e 'print $$Config{sitelib}')
VERSION:=$(shell git tag --sort=v:refname | tail -1 | cut -f 2 -d v)
PREFIX:=/usr/local
endif

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

all: kuvert_submit

clean:
	-rm -f kuvert_submit kuvert.tmp

install:	kuvert_submit  kuvert
# ensure all needed dirs are present
	install -d $(PREFIX)/bin $(PREFIX)/share/man/man1 $(PERLDIR)/Net/Server/Mail/ESMTP
	install kuvert_submit $(PREFIX)/bin
# insert the version number
	sed 's/INSERT_VERSION/$(VERSION)/' kuvert > kuvert.tmp
	install kuvert.tmp $(PREFIX)/bin/kuvert
	-rm kuvert.tmp
	install plainAUTH.pm $(PERLDIR)/Net/Server/Mail/ESMTP/
	pod2man --center="User Commands" -r Mail  kuvert $(PREFIX)/share/man/man1/kuvert.1
	pod2man --center="User Commands" -r Mail kuvert_submit.pod $(PREFIX)/share/man/man1/kuvert_submit.1

=== debian/changelog ===
kuvert (2.2.6) unstable; urgency=medium

  * rearrange dependency alternatives

 -- Alexander Zangerl <az@debian.org>  Wed, 01 May 2024 18:54:13 +1000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: kuvert
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, gnupg | gnupg1, sendmail | mail-transport-agent, libnet-smtps-perl, perl (>= 5.24), libmailtools-perl, libmime-tools-perl, libfile-slurp-perl, libnet-server-mail-perl, libauthen-sasl-perl, libproc-processtable-perl, libencode-locale-perl, libio-socket-ssl-perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, gnupg | gnupg1, postfix | mail-transport-agent, libnet-smtps-perl, perl (>= 5.24), libmailtools-perl, libmime-tools-perl, libfile-slurp-perl, libnet-server-mail-perl, libauthen-sasl-perl, libproc-processtable-perl, libencode-locale-perl, libio-socket-ssl-perl
 Suggests: keyutils 
 Homepage: http://www.snafu.priv.at/mystuff/kuvert/
 Description: wrapper that encrypts or signs outgoing mail

=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,7 @@
 
 build-stamp:
 	dh_testdir
-
-	$(MAKE)
-
+	dh_auto_build
 	touch build-stamp
 
 clean:

## kuvert 2.2.6build1

=== debian/changelog ===
kuvert (2.2.6build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 12:19:49 +0000
